## org.junit.runner.notification
Class StoppedByUserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.junit.runner.notification.StoppedByUserException

All Implemented Interfaces:
  Serializable

    public class StoppedByUserException

extends RuntimeException

Thrown when a user has requested that the test run stop. Writers of test running GUIs should be prepared to catch a `StoppedByUserException`.

Since:
  4.0
See Also:
  `RunNotifier`, Serialized Form

Constructor Summary
`StoppedByUserException()`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StoppedByUserException

    public StoppedByUserException()

Copyright © 2002–2020 JUnit. All rights reserved.